
<?php $__env->startSection('content'); ?>
    <?php
        $user = auth()->user();

        $auth = getContent('auth_page.content', true);

    ?>

    <div class="setting-content">
        <h3 class="setting-content__title mb-0"><?php echo e(__($pageTitle)); ?></h3>
        <div class="varification">
            <p class="varification__desc">
                <?php echo e(__(@$auth->data_values->verification_page_title)); ?>

            </p>
            <div class="varification__form">
                <div class="form-group">
                    <label class="form--label d-block" for=""><?php echo app('translator')->get('Email Verification'); ?></label>
                    <div class="input-group">
                        <input class="form-control form--control" type="text" value="<?php echo e($user->email); ?>" readonly placeholder="Enter your email">
                        <button class="btn input-group-text <?php if($user->ev): ?> btn--success <?php else: ?> btn--base <?php endif; ?> sendVerifyCode emailBtn" data-type="email" type="button" <?php if($user->ev): ?> disabled <?php endif; ?>>
                            <?php if($user->ev): ?>
                                <?php echo app('translator')->get('Verified'); ?>
                            <?php else: ?>
                                <?php echo app('translator')->get('Send Code'); ?>
                            <?php endif; ?>
                        </button>
                    </div>
                    <span class="note-text">
                        <span> <i class="fas fa-info-circle"></i> </span>
                        <?php echo app('translator')->get('Ensures account authenticity and enhances security'); ?>
                    </span>
                </div>

                <div class="verification-code-wrapper email-varification d-none">
                    <div class="verification-area">
                        <div class="verification-code">
                            <input class="emailCode overflow-hidden" id="code" name="code" type="text">
                            <div class="boxes">
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                            </div>
                        </div>
                    </div>
                    <span class="note-text">
                        <span> <i class="fas fa-info-circle"></i> </span>
                        <?php echo app('translator')->get('Enter Code'); ?> (<?php echo app('translator')->get('Code sent to '); ?> <?php echo e($user->email); ?>)
                    </span>
                    <button class="btn btn--base btn--sm emailVerify mt-3" type="submit"><?php echo app('translator')->get('Confirm'); ?></button>

                </div>
                <div class="form-group">
                    <label class="form--label d-block" for=""><?php echo app('translator')->get('Phone Verification'); ?></label>

                    <div class="input-group">
                        <input class="form--control form-control phone sms" type="text" value="<?php echo e($user->mobile); ?>" placeholder="Enter your number" readonly>
                        <div class="country_code" readonly>
                            <div class="country_code__caption">
                                <span class="text">+<?php echo e($user->dial_code); ?></span>
                            </div>

                        </div>
                        <button class="btn input-group-text <?php if($user->sv): ?> btn--success <?php else: ?> btn--base <?php endif; ?>  smsBtn sendVerifyCode" data-type="sms" type="submit" <?php if($user->sv): ?> disabled <?php endif; ?>>
                            <?php if($user->sv): ?>
                                <?php echo app('translator')->get('Verified'); ?>
                            <?php else: ?>
                                <?php echo app('translator')->get('Send Code'); ?>
                            <?php endif; ?>
                        </button>
                    </div>

                    <span class="note-text">
                        <span> <i class="fas fa-info-circle"></i> </span>
                        <?php echo app('translator')->get('Verifies user identity and adds an extra layer of account security'); ?>
                    </span>
                </div>

                <div class="verification-code-wrapper sms-varification d-none">
                    <div class="verification-area">
                        <div class="verification-code">
                            <input class="form--control smsCode overflow-hidden" id="code" name="code" type="text">
                            <div class="boxes">
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                                <span></span>
                            </div>
                        </div>
                    </div>

                    <span class="note-text">
                        <span> <i class="fas fa-info-circle"></i> </span>
                        <?php echo app('translator')->get('Enter Code'); ?> (<?php echo app('translator')->get('Code sent to'); ?><span><?php echo e($user->mobileNumber); ?></span>)
                    </span>

                    <button class="btn btn--base btn--sm smsVerify mt-3" type="submit"><?php echo app('translator')->get('Confirm'); ?></button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            $('.sendVerifyCode').on('click', function() {
                const type = $(this).data('type');

                if ((type == 'sms' && <?php echo json_encode($user->sv, 15, 512) ?> == 1) || (type == 'email' &&
                        <?php echo json_encode($user->ev, 15, 512) ?> == 1)) {
                    notify('info', '<?php echo app('translator')->get('You are already verified '); ?>');
                    return;
                }

                const url = `<?php echo e(route('user.send.verify.code', ':type')); ?>`.replace(':type', type);
                $.ajax({
                    type: "get",
                    url: url,
                    dataType: "json",
                    success: function(response) {
                        if (response.status == 'success') {
                            notify('success', response.notify);

                            $('.' + type + '-varification').removeClass('d-none');
                        } else {

                            notify('error', response.notify);
                        }
                    }
                });

            });



            $('.emailVerify').on('click', function() {
                const code = $('.emailCode').val();
                if (!code) {
                    notify('error', 'Verification code is required')
                    return;
                }
                const $this = $(this);
                $this.html(`<i class="las la-spinner"></i><?php echo app('translator')->get('Verifying'); ?>`);

                $.ajax({
                    type: "POST",
                    url: "<?php echo e(route('user.verify.email')); ?>",
                    data: {
                        code: code,
                        _token: "<?php echo e(csrf_token()); ?>"
                    },
                    dataType: "json",
                    success: function(response) {
                        if (response.status === 'success') {
                            $('.email-varification').addClass('d-none');
                            $('.emailBtn').text('Verified');
                            $('.emailBtn').removeClass('btn--base').addClass('btn--success').prop('disabled', true);
                            notify('success', response.notify);
                        } else {
                            $this.html(`<?php echo app('translator')->get('Try Again'); ?>`);
                            $('[name="code"]').val('');
                            notify('error', response.notify);

                        }
                    }
                });
            });


            $('.smsVerify').on('click', function() {
                const code = $('.smsCode').val();
                if (!code) {
                    notify('error', 'Verification code is required')
                    return;
                }
                const $this = $(this);
                $this.html(`<i class="las la-spinner"></i><?php echo app('translator')->get('Verifying'); ?>`);

                $.ajax({
                    type: "POST",
                    url: "<?php echo e(route('user.verify.mobile')); ?>",
                    data: {
                        code: code,
                        _token: "<?php echo e(csrf_token()); ?>"
                    },
                    dataType: "json",
                    success: function(response) {
                        if (response.status === 'success') {
                            $('.sms-varification').addClass('d-none');
                            $('.smsBtn').text('Verified');
                            $('.smsBtn').removeClass('btn--base').addClass('btn--success').prop('disabled', true);
                            notify('success', response.notify);
                        } else {
                            $this.html(`<?php echo app('translator')->get('Try Again'); ?>`);
                            $('[name="code"]').val('');
                            notify('error', response.notify);

                        }
                    }
                });
            });
        })(jQuery)
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        .varification-wrapper.email-varification {
            margin-bottom: 1rem;
        }

        /* verification */

        .verification-code-wrapper {
            width: 300px;
            background-color: hsl(var(--bg-color));
            margin-bottom: 1rem;
        }

        .verification-area {
            width: 100%;
        }

        .verification-code {
            display: flex;
            position: relative;
            z-index: 1;
            height: 40px;
            width: 100%;
        }

        .country_code[readonly] {
            opacity: .4;
        }

        .verification-code::after {
            position: absolute;
            content: '';
            right: -30px;
            width: 28px;
            height: 40px;
            background-color: hsl(var(--bg-color));
            z-index: 2;
        }

        .verification-code input {
            position: absolute;
            height: 40px;
            width: calc(100% + 60px);
            left: 0;
            background: transparent;
            border: none;
            font-size: 20px !important;
            font-weight: 800;
            letter-spacing: 38px;
            text-indent: 1px;
            border: none;
            z-index: 1;
            padding-left: 20px;
            color: hsl(var(--white)) !important;
        }

        .verification-code input:focus {
            outline: none;
            cursor: pointer;
            box-shadow: none;
            background-color: transparent;
        }

        .boxes {
            position: absolute;
            top: 0;
            height: 100%;
            width: 100%;
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            z-index: -1;
        }

        .verification-code span {
            height: 40px;
            width: calc((100% / 6) - 3px);
            text-align: center;
            line-height: 40px;
            background: hsl(var(--white) / .1) !important;
            border: 1px solid hsl(var(--white) / .05) !important;
            color: hsl(var(--white)) !important;
            border-radius: 4px;
        }

        @media (max-width: 575px) {
            .verification-code-wrapper {
                width: 280px;
            }

            .verification-code input {
                width: calc(100% + 30px);
                padding-left: 15px;
                letter-spacing: 35px;
            }

            .verification-text {
                font-size: 0.9rem;
            }

            .verification-code::after {
                right: -25px;
                width: 25px;
            }
        }

        @media (max-width: 450px) {
            .verification-code-wrapper {
                width: 260px;
            }

            .verification-code input {
                width: calc(100% + 35px);
                padding-left: 12px;
                letter-spacing: 32px;
            }
        }

        @media (max-width: 400px) {
            .verification-code {
                height: 35px;
            }

            .verification-code-wrapper {
                width: 240px;
            }

            .verification-code input {
                width: calc(100% + 30px);
                padding-left: 10px;
                letter-spacing: 30px;
                height: 35px;
                font-size: 18px !important;
            }

            .verification-code span {
                height: 35px;
                line-height: 35px;
            }

            .verification-code::after {
                height: 35px;
            }
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/moviewes.com/core/resources/views/templates/basic/user/auth/authorization/form.blade.php ENDPATH**/ ?>