<?php $__env->startSection('panel'); ?>
<div class="row mb-none-30">
    <form method="POST">
        <?php echo csrf_field(); ?>
        <div class="col-lg-12 col-md-12 mb-30">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-xl-3 col-sm-6">
                            <div class="form-group ">
                                <label> <?php echo app('translator')->get('Site Title'); ?></label>
                                <input class="form-control" type="text" name="site_name" required
                                    value="<?php echo e(gs('site_name')); ?>">
                            </div>
                        </div>
                        <div class="col-xl-3 col-sm-6">
                            <div class="form-group ">
                                <label><?php echo app('translator')->get('Currency'); ?></label>
                                <input class="form-control" type="text" name="cur_text" required
                                    value="<?php echo e(gs('cur_text')); ?>">
                            </div>
                        </div>
                        <div class="col-xl-3 col-sm-6">
                            <div class="form-group ">
                                <label><?php echo app('translator')->get('Currency Symbol'); ?></label>
                                <input class="form-control" type="text" name="cur_sym" required
                                    value="<?php echo e(gs('cur_sym')); ?>">
                            </div>
                        </div>
                        <div class="form-group col-xl-3 col-sm-6">
                            <label> <?php echo app('translator')->get('Timezone'); ?></label>
                            <select class="select2 form-control" name="timezone">
                                <?php $__currentLoopData = $timezones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $timezone): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e(@$key); ?>" <?php if(@$key==$currentTimezone): echo 'selected'; endif; ?>><?php echo e(__($timezone)); ?>

                                </option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                        <div class="form-group col-xl-3 col-sm-6">
                            <label> <?php echo app('translator')->get('Site Base Color'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text p-0 border-0">
                                    <input type='text' class="form-control colorPicker" value="<?php echo e(gs('base_color')); ?>">
                                </span>
                                <input type="text" class="form-control colorCode" name="base_color"
                                    value="<?php echo e(gs('base_color')); ?>">
                            </div>
                        </div>
                        <div class="form-group col-xl-3 col-sm-6">
                            <label> <?php echo app('translator')->get('Site Secondary Color'); ?></label>
                            <div class="input-group">
                                <span class="input-group-text p-0 border-0">
                                    <input type='text' class="form-control colorPicker"
                                        value="<?php echo e(gs('secondary_color')); ?>">
                                </span>
                                <input type="text" class="form-control colorCode" name="secondary_color"
                                    value="<?php echo e(gs('secondary_color')); ?>">
                            </div>
                        </div>
                        <div class="form-group col-xl-3 col-sm-6">
                            <label> <?php echo app('translator')->get('Record to Display Per page'); ?></label>
                            <select class="select2 form-control" name="paginate_number"
                                data-minimum-results-for-search="-1">
                                <option value="20" <?php if(gs('paginate_number')==20 ): echo 'selected'; endif; ?>><?php echo app('translator')->get('20 items per page'); ?>
                                </option>
                                <option value="50" <?php if(gs('paginate_number')==50 ): echo 'selected'; endif; ?>><?php echo app('translator')->get('50 items per page'); ?>
                                </option>
                                <option value="100" <?php if(gs('paginate_number')==100 ): echo 'selected'; endif; ?>><?php echo app('translator')->get('100 items per page'); ?>
                                </option>
                            </select>
                        </div>

                        <div class="form-group col-xl-3 col-sm-6 ">
                            <label> <?php echo app('translator')->get('Currency Showing Format'); ?></label>
                            <select class="select2 form-control" name="currency_format"
                                data-minimum-results-for-search="-1">
                                <option value="1" <?php if(gs('currency_format')==Status::CUR_BOTH): echo 'selected'; endif; ?>><?php echo app('translator')->get('Show
                                    Currency Text and Symbol Both'); ?></option>
                                <option value="2" <?php if(gs('currency_format')==Status::CUR_TEXT): echo 'selected'; endif; ?>><?php echo app('translator')->get('Show
                                    Currency Text Only'); ?></option>
                                <option value="3" <?php if(gs('currency_format')==Status::CUR_SYM): echo 'selected'; endif; ?>><?php echo app('translator')->get('Show Currency
                                    Symbol Only'); ?></option>
                            </select>
                        </div>
                        <div class="col-xl-12 col-sm-12">
                            <div class="form-group ">
                                <label><?php echo app('translator')->get('Google Api key'); ?></label>
                                <input class="form-control" type="text" name="google_api_key" required
                                    value="<?php echo e(gs('google_api_key')); ?>">
                            </div>
                        </div>

                    </div>


                </div>
            </div>

            <div class="row">
                <div class="col-md-6">

                    <div class="card mt-30">
                        <div class="card-header">
                            <h5><?php echo app('translator')->get('Monetization Settings'); ?></h5>
                        </div>
                        <div class="card-body">

                            <div class="form-group ">
                                <label> <?php echo app('translator')->get('Minimum Subscribe'); ?></label>
                                <div class="input-group">
                                    <input class="form-control" type="text" name="minimum_subscribe" required
                                        value="<?php echo e(gs('minimum_subscribe')); ?>">
                                    <span class="input-group-text"><i class="las la-bell"></i></span>
                                </div>
                            </div>

                            <div class="form-group ">
                                <label> <?php echo app('translator')->get('Minimum Views'); ?></label>
                                <div class="input-group">
                                    <input class="form-control" type="text" name="minimum_views" required
                                        value="<?php echo e(gs('minimum_views')); ?>">
                                    <span class="input-group-text"><i class="las la-eye"></i></span>
                                </div>
                            </div>

                            <div class="form-group ">
                                <label> <?php echo app('translator')->get('Pay for Paid Monetization'); ?></label>
                                <div class="input-group">
                                    <input class="form-control" type="text" name="monetization_amount" required
                                        value="<?php echo e(getAmount(gs('monetization_amount'))); ?>">
                                    <span class="input-group-text"><?php echo e(__(gs('cur_text'))); ?></span>
                                </div>
                            </div>
                            <div class="form-group ">
                                <label> <?php echo app('translator')->get('Paid Monetization Status'); ?></label>
                                
                                    <input type="checkbox" data-width="100%" data-size="large" data-onstyle="-success" data-offstyle="-danger" data-bs-toggle="toggle" data-height="35" data-on="<?php echo app('translator')->get('Enable'); ?>" data-off="<?php echo app('translator')->get('Disable'); ?>" name="monetization_status" <?php if(gs('monetization_status')): ?> checked <?php endif; ?>>
                        
                                
                            </div>


                        </div>
                    </div>

                

                </div>
                    <div class="col-md-6">
                        <div class="card mt-30">
                            <div class="card-header">
                                <h5><?php echo app('translator')->get('Violation Content Warning'); ?></h5>
                            </div>
                            <div class="card-body">
                                <div class="form-group ">
                                    <label> <?php echo app('translator')->get('Title'); ?></label>
                                    <div class="input-group">
                                        <input class="form-control" type="text" name="title" required
                                            value="<?php echo e(__(old('title',gs('vc_warning')?->title))); ?>">

                                    </div>
                                </div>
                                <div class="form-group ">
                                    <label> <?php echo app('translator')->get('Description'); ?></label>
                                    <textarea name="description" class="form-control" cols="20"
                                        rows="10"><?php echo e(__(old('description',gs('vc_warning')?->description))); ?></textarea>
                                </div>
                            </div>
                        </div>

                    </div>
               

            </div>
            <div class="form-group mt-3">
                <button type="submit" class="btn btn--primary w-100 h-45"><?php echo app('translator')->get('Submit'); ?></button>
            </div>
    </form>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('script-lib'); ?>
<script src="<?php echo e(asset('assets/admin/js/spectrum.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
<link rel="stylesheet" href="<?php echo e(asset('assets/admin/css/spectrum.css')); ?>">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
<script>
    (function ($) {
        "use strict";


        $('.colorPicker').spectrum({
            color: $(this).data('color'),
            change: function (color) {
                $(this).parent().siblings('.colorCode').val(color.toHexString().replace(/^#?/, ''));
            }
        });

        $('.colorCode').on('input', function () {
            var clr = $(this).val();
            $(this).parents('.input-group').find('.colorPicker').spectrum({
                color: clr,
            });
        });
    })(jQuery);

</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/moviewes.com/core/resources/views/admin/setting/general.blade.php ENDPATH**/ ?>